import * as $dara from '@darabonba/typescript';
import { CreateDedicatedHostClusterResponseBody } from "./CreateDedicatedHostClusterResponseBody";
export declare class CreateDedicatedHostClusterResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateDedicatedHostClusterResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
